Get a project-level ingress with resolved routes
GET
/projects/{id}/ingresses/{ingressId}
const url = 'https://example.com/projects/example/ingresses/example';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/projects/example/ingresses/example \ --header 'Authorization: Bearer <token>'Auth: authenticated (scope: read)
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string
ingressId
required
string
Responses
Section titled “Responses”OK
Media typeapplication/json
object
basicAuthEnabled
required
boolean
host
required
string
id
required
string
name
required
string
path
required
string
project
required
object
id
required
string
name
required
string
organizationId
string
slug
string
key
additional properties
protectionMode
required
string
redirectTarget
string | null
routes
required
Array<object>
object
path
required
string
serviceName
required
string
servicePort
required
number
key
additional properties
tlsEnabled
required
boolean
url
required
string
key
additional properties
Example
{ "protectionMode": "none", "redirectStatus": 301}